%define		status		stable
%define		pearname	Horde_Secret
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - Secret Encryption API
Name:		php-horde-Horde_Secret
Version:	1.0.2
Release:	2
License:	LGPL
Group:		Development/Languages/PHP
Source0:	http://pear.horde.org/get/%{pearname}-%{version}.tgz
# Source0-md5:	646169b73f643374e092261f120cdca3
URL:		https://github.com/horde/horde/tree/master/framework/Secret/
BuildRequires:	php-channel(pear.horde.org)
BuildRequires:	php-packagexml2cl
BuildRequires:	php-pear-PEAR >= 1:1.7.0
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.610
Requires:	php(hash)
Requires:	php-channel(pear.horde.org)
Requires:	php-horde-Horde_Exception < 2.0.0
Requires:	php-pear >= 4:1.3.6-2
Requires:	php-pear-Crypt_Blowfish >= 1.0.1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Horde_Secret library provides an API for encrypting and decrypting
small pieces of data with the use of a shared key.

In PEAR status of this package is: %{status}.

%prep
%pear_package_setup

%build
packagexml2cl package.xml > ChangeLog

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog install.log
%{php_pear_dir}/.registry/.channel.*/*.reg
%{php_pear_dir}/Horde/Secret.php
%{php_pear_dir}/Horde/Secret
%changelog
* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> 2d54ce2
- use virtual php extension deps (to be independant of php version)
- release 2 (by relup.sh)

* Tue Jul 31 2012 Elan Ruusamäe <glen@delfi.ee> fbae51a
- updated to: 1.0.2

* Tue May 03 2011 Elan Ruusamäe <glen@pld-linux.org> 14dedea
- use github url to package, as pear url is not specific

* Mon Apr 11 2011 Elan Ruusamäe <glen@pld-linux.org> ba39a7a
- Horde dir dep

* Sun Apr 10 2011 Elan Ruusamäe <glen@pld-linux.org> a8e446f
- horde h4 pear packages

